apiVersion: v1
kind: Service
metadata:
  name: jenkins-svc
  labels:
    app: jenkins
spec:
  ports:
  - name: httpport
    port: 8080
    protocol: TCP

  - name: jnlpport
    port: 50000
    protocol: TCP
  selector:
    app: jenkins